org.apache.solr.common

## Enum ToleratedUpdateError.CmdType

- java.lang.Object
- - java.lang.Enum<ToleratedUpdateError.CmdType>
  - - org.apache.solr.common.ToleratedUpdateError.CmdType

- All Implemented Interfaces:
    Serializable, Comparable<ToleratedUpdateError.CmdType>
  Enclosing class:
    ToleratedUpdateError

      public static enum ToleratedUpdateError.CmdType
      extends Enum<ToleratedUpdateError.CmdType>

  Helper class for dealing with SolrException metadata (String) keys

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `DELID`
    `DELQ`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ToleratedUpdateError.CmdType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ToleratedUpdateError.CmdType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final ToleratedUpdateError.CmdType ADD

    - #### DELID

          public static final ToleratedUpdateError.CmdType DELID

    - #### DELQ

          public static final ToleratedUpdateError.CmdType DELQ

  - ### Method Detail

    - #### values

          public static ToleratedUpdateError.CmdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ToleratedUpdateError.CmdType c : ToleratedUpdateError.CmdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ToleratedUpdateError.CmdType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.